aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ChangeLog3
-rwxr-xr-xtestsuite/unprel1.sh2
2 files changed, 4 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index e4770f6..271e908 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+2018-10-12 Joseph Myers <joseph@codesourcery.com>
+ * testsuite/unprel1.sh: Fix for cross testing
+
2018-10-12 Kyle Russell <bkylerussell@gmail.com>
* src/conflict.c, src/undo.c: Add knowledge of .data.rel.ro for
read-only dynamic symbols
diff --git a/testsuite/unprel1.sh b/testsuite/unprel1.sh
index 481db12..0787741 100755
--- a/testsuite/unprel1.sh
+++ b/testsuite/unprel1.sh
@@ -43,7 +43,7 @@ grep -q 'lib/lib2.so because its dependency unprel1.tree/opt/lib1.so could not b
unprel1.log || exit 4
grep -q 'bin/bin1 because its dependency unprel1.tree/lib/lib2.so could not be prelinked' \
unprel1.log || exit 5
-unprel1.tree/bin/bin1 || exit 6
+$RUN unprel1.tree/bin/bin1 || exit 6
# So that it is not prelinked again
chmod -x unprel1.tree/bin/bin1
LIBS=unprel1.tree/lib/lib1.so